Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.classify
Class MaxEntL1Trainer

    java.lang.Object
      cc.mallet.classify.ClassifierTrainer<MaxEnt>
          cc.mallet.classify.MaxEntTrainer
              cc.mallet.classify.MaxEntL1Trainer

All Implemented Interfaces:
  Boostable, ClassifierTrainer.ByOptimization<MaxEnt>, java.io.Serializable

    public class MaxEntL1Trainer

extends MaxEntTrainer

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class cc.mallet.classify.ClassifierTrainer
`ClassifierTrainer.ByActiveLearning<C extends Classifier>, ClassifierTrainer.ByIncrements<C extends Classifier>, ClassifierTrainer.ByInstanceIncrements<C extends Classifier>, ClassifierTrainer.ByOptimization<C extends Classifier>, ClassifierTrainer.Factory<CT extends ClassifierTrainer<? extends Classifier>>`

Field Summary

Fields inherited from class cc.mallet.classify.MaxEntTrainer
`EXP_GAIN, GRADIENT_GAIN, INFORMATION_GAIN`

Fields inherited from class cc.mallet.classify.ClassifierTrainer
`finishedTraining, validationSet`

Constructor Summary
`MaxEntL1Trainer()`
`MaxEntL1Trainer(double l1wt)`
`MaxEntL1Trainer(MaxEnt initClassifier)`

Method Summary
`Optimizer` | `getOptimizer()`
`Optimizer` | `getOptimizer(InstanceList trainingSet)` This method is called by the train method.

Methods inherited from class cc.mallet.classify.MaxEntTrainer
`getClassifier, getIteration, getOptimizable, getOptimizable, getOptimizable, setClassifier, setGaussianPriorVariance, setL1Weight, setNumIterations, toString, train, train`

Methods inherited from class cc.mallet.classify.ClassifierTrainer
`getValidationInstances, isFinishedTraining, setValidationInstances`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MaxEntL1Trainer

    public MaxEntL1Trainer()

### MaxEntL1Trainer

    public MaxEntL1Trainer(double l1wt)

### MaxEntL1Trainer

    public MaxEntL1Trainer(MaxEnt initClassifier)

Method Detail

### getOptimizer

    public Optimizer getOptimizer()

  Specified by:
    `getOptimizer` in interface `ClassifierTrainer.ByOptimization<MaxEnt>`
  Overrides:
    `getOptimizer` in class `MaxEntTrainer`

### getOptimizer

    public Optimizer getOptimizer(InstanceList trainingSet)

  Description copied from class: `MaxEntTrainer`
  This method is called by the train method. This is the main entry point for the optimizable and optimizer compontents.

  Overrides:
    `getOptimizer` in class `MaxEntTrainer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD